| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DPixelsAliasFilter Class Reference

## Public Member Functions
void | pixelAntiAliasing (const uchar *const data, int Width, int Height, double X, double Y, uchar *const A, uchar *const R, uchar *const G, uchar *const B)
| Function to perform pixel antialiasing with 8 bits/color/pixel images.
void | pixelAntiAliasing16 (const unsigned short *const data, int Width, int Height, double X, double Y, unsigned short *const A, unsigned short *const R, unsigned short *const G, unsigned short *const B)
| Function to perform pixel antialiasing with 16 bits/color/pixel images.

## Member Function Documentation

## ◆ pixelAntiAliasing()

void Digikam::DPixelsAliasFilter::pixelAntiAliasing | ( | const uchar *const | data,
|  | int | Width,
|  | int | Height,
|  | double | X,
|  | double | Y,
|  | uchar *const | A,
|  | uchar *const | R,
|  | uchar *const | G,
|  | uchar *const | B
| ) |  |

This method is used to smooth target image in transformation method like free rotation or shear tool.

## ◆ pixelAntiAliasing16()

void Digikam::DPixelsAliasFilter::pixelAntiAliasing16 | ( | const unsigned short *const | data,
|  | int | Width,
|  | int | Height,
|  | double | X,
|  | double | Y,
|  | unsigned short *const | A,
|  | unsigned short *const | R,
|  | unsigned short *const | G,
|  | unsigned short *const | B
| ) |  |

This method is used to smooth target image in transformation method like free rotation or shear tool.